export default [
  {
    path: '/user',
    layout: false,
    routes: [
      {
        path: '/user',
        routes: [
          {
            name: 'login',
            path: '/user/login',
            component: './user/Login',
          },
        ],
      },
      {
        component: './404',
      },
    ],
  },
  {
    path: '/welcome',
    name: '工作台',
    icon: 'smile',
    component: './Welcome',
  },
  {
    path: '/MonitoringScreen',
    layout: false,
    name: '数据大屏',
    icon: 'DesktopOutlined',
    component: './MonitoringScreen',
    access: 'screen',
  },
  {
    path: '/MonitoringScreen2',
    layout: false,
    name: '作业大屏',
    icon: 'DesktopOutlined',
    component: './MonitoringScreen2',
    access: 'screen2',
  },
  {
    path: '/ContentManagementSystem',
    name: 'CMS管理',
    icon: 'MediumOutlined',
    component: '../layouts/BasicLayout',
    access: 'cms',
    routes: [
      {
        path: '/ContentManagementSystem/InformationClassification',
        name: '资讯分类',
        access: 'cmstype',
        component: './ContentManagementSystem/InformationClassification',
      },
      {
        path: '/ContentManagementSystem/InformationList',
        name: '资讯列表',
        access: 'news',
        component: './ContentManagementSystem/InformationList',
      },
      {
        path: '/ContentManagementSystem/InformationList/edit.jsx',
        name: '资讯列表编辑',
        component: './ContentManagementSystem/InformationList/edit.jsx',
        hideInMenu: true,
      },
      {
        path: '/ContentManagementSystem/Advertisement',
        name: '广告位管理',
        access: 'banner',
        component: './ContentManagementSystem/Advertisement',
      },
      {
        path: '/ContentManagementSystem/Advertisement/edit.jsx',
        name: '广告位编辑',
        component: './ContentManagementSystem/Advertisement/edit.jsx',
        hideInMenu: true,
      },
    ],
  },
  {
    path: '/customer',
    name: '农户管理',
    icon: 'IdcardOutlined',
    access: 'customer',
    component: '../layouts/BasicLayout',
    routes: [
      {
        path: '/customer/index.jsx',
        name: '农户列表',
        access: 'customerList',
        icon: 'smile',
        component: './customer',
      },
    ],
  },
  {
    path: '/Machinery',
    name: '农机管理',
    icon: 'CarOutlined',
    access: 'agricultural',
    component: '../layouts/BasicLayout',
    routes: [
      {
        path: '/Machinery/Org',
        name: '合作社列表',
        access: 'org',
        component: './Machinery/Org',
      },
      {
        path: '/Machinery/Person',
        name: '人员管理',
        access: 'user',
        component: './Machinery/Person',
      },
      {
        path: '/Machinery/MachineryType',
        name: '分类管理',
        access: 'machinetype',
        component: './Machinery/MachineryType',
      },
      {
        path: '/Machinery/Machinery',
        name: '农机列表',
        access: 'machinery',
        component: './Machinery/Machinery',
      },
      {
        path: '/Machinery/Machinery/Edit',
        name: '农机编辑',
        component: './Machinery/Machinery/Edit',
        hideInMenu: true,
      },
      {
        path: '/Machinery/GIS',
        name: '农机GIS',
        component: './Machinery/GIS',
        hideInMenu: true,
      },
      {
        path: '/Machinery/GIS/detail.jsx',
        name: 'GIS详情',
        component: './Machinery/GIS/detail.jsx',
        hideInMenu: true,
      },
    ],
  },
  {
    path: '/iot',
    name: 'IOT平台',
    icon: 'LaptopOutlined',
    component: '../layouts/BasicLayout',
    access: 'iot',
    routes: [
      {
        path: '/iot/Sensing',
        name: '传感设备列表',
        component: './Machinery/Sensing',
        access: 'sensorList',
      },
      {
        path: '/iot/JobList',
        name: '设备作业列表',
        component: './Machinery/JobList',
        access: 'deviceJobList',
      },
      {
        path: '/iot/OperationStatistics',
        name: '设备作业统计',
        component: './Machinery/OperationStatistics',
        access: 'deviceJobStatis',
      },
      {
        path: '/iot/OperationStatistics/Detail',
        name: '设备作业详情',
        component: './Machinery/OperationStatistics/Detail',
        access: 'deviceJobDetail',
        hideInMenu: true,
      },
      // {
      //   path: '/iot/Subsoiler',
      //   name: '深松机',
      //   component: './SystemManagement/Subsoiler',
      //   access: 'shensong',
      // },
      {
        path: '/iot/Classification',
        name: '外设分类',
        component: './SystemManagement/Classification',
        access: 'peripherals',
      },
    ],
  },
  {
    path: '/OrderManage',
    name: '订单调度',
    access: 'order',
    icon: 'PhoneOutlined',
    component: '../layouts/BasicLayout',
    routes: [
      {
        path: '/OrderManage/index.jsx',
        name: '订单调度',
        access: 'orderjob',
        component: './OrderManage',
      },
      {
        path: '/OrderManage/dispatch.jsx',
        name: '调度详情',
        access: 'orderjob',
        component: './OrderManage/dispatch.jsx',
        hideInMenu: true,
      },
      {
        path: '/OrderManage/OrderList/index.jsx',
        name: '订单列表',
        access: 'orderList',
        component: './OrderManage/OrderList',
      },
      {
        path: '/OrderManage/JobWarning/index.jsx',
        name: '预警监管',
        access: 'orderwarning',
        component: './OrderManage/JobWarning',
      },
      {
        path: '/OrderManage/JobWarning/detail.jsx',
        name: '订单详情',
        access: 'orderwarning',
        component: './OrderManage/JobWarning/detail.jsx',
        hideInMenu: true,
      },
    ],
  },
  {
    path: '/JobStatistics',
    name: '作业统计',
    access: 'statis',
    icon: 'ScheduleOutlined',
    component: '../layouts/BasicLayout',
    routes: [
      {
        path: '/JobStatistics/Order',
        name: '订单统计',
        access: 'st-order',
        component: './JobStatistics/Order',
      },
      {
        path: '/JobStatistics/Job',
        name: '作业统计',
        access: 'st-work',
        component: './JobStatistics/Job',
      },
    ],
  },
  {
    path: '/Finance',
    name: '财务管理',
    access: 'finance',
    icon: 'DollarOutlined',
    component: '../layouts/BasicLayout',
    routes: [
      {
        path: '/Finance/AccountLog',
        name: '平台流水',
        access: 'fi-system',
        component: './Finance/AccountLog',
      },
      {
        path: '/Finance/Withdrawal',
        name: '提现管理',
        access: 'fi-withdraw',
        component: './Finance/Withdrawal',
      },
      {
        path: '/Finance/Withdrawal/audit.jsx',
        name: '提现审批',
        component: './Finance/Withdrawal/audit.jsx',
        hideInMenu: true,
      },
    ],
  },
  {
    path: '/PlatformMessageManagement',
    name: '消息管理',
    icon: 'MailOutlined',
    access: 'message',
    component: '../layouts/BasicLayout',
    routes: [
      {
        path: '/PlatformMessageManagement/MessageManageList',
        name: '平台消息',
        access: 'sys-message',
        icon: 'smile',
        component: './PlatformMessageManagement/MessageManageList',
      },
      {
        path: '/PlatformMessageManagement/MessageEdit',
        name: '消息查看',
        component: './PlatformMessageManagement/MessageEdit',
        hideInMenu: true,
      },
    ],
  },
  {
    path: '/Feedback',
    name: '意见反馈',
    icon: 'MessageOutlined',
    component: './Feedback',
    access: 'feedback',
  },
  {
    path: '/SystemManagement',
    name: '系统管理',
    icon: 'SettingOutlined',
    access: 'system',
    component: '../layouts/BasicLayout',
    routes: [
      {
        path: '/SystemManagement/Region',
        name: '区域设置',
        access: 'region',
        component: './SystemManagement/Region',
      },
      {
        path: '/SystemManagement/UserRights',
        name: '角色管理',
        access: 'role',
        component: './SystemManagement/UserRights',
      },
      {
        path: '/SystemManagement/BasicParameters',
        name: '基本参数',
        access: 'setting',
        component: './SystemManagement/BasicParameters',
      },
    ],
  },

  {
    path: '/',
    redirect: '/welcome',
  },
  {
    component: './404',
  },
];
