import React, { useEffect, useMemo, useState } from 'react';

import ECharts from '@/components/ECharts';

const labelOption = {
  show: true,
  formatter: '{c}',
  position: 'insideTop',
  distance: -20,
  fontSize: 16,
  rich: {
    name: {},
  },
};

export default (props) => {
  const { opt, optL, title, h } = props;
  // console.log(optL);
  // console.log(opt);
  const dataL = [];
  opt.forEach((it, ind) => {
    optL.forEach((its) => {
      if (its.name == it.name) {
        dataL.push(its.value);
        // dataL.push({
        // name: it.name,
        // value: its.value,
        // });
      }
    });
  });
  const dataLs = useMemo(() => dataL, [dataL]);

  // 亩
  const dataX = opt.map((it) => it.name);
  const dataVal = opt.map((it) => it.value);
  // 台
  const colors = ['#E94F05', '#5470C6', '#91CC75'];
  const option = useMemo(
    () => ({
      color: colors,
      title: {
        text: title,
        left: 'center',
      },
      tooltip: {
        trigger: 'axis',
        axisPointer: {
          type: 'cross',
        },
        extraCssText: 'width:auto;height:auto',
      },
      xAxis: {
        type: 'category',
        data: dataX,
        axisLabel: { interval: 0, rotate: 40 },
        name: '合作社',
      },
      yAxis: [
        {
          type: 'value',
          name: '台',
          position: 'left',
          alignTicks: true,
          axisLine: {
            show: true,
            lineStyle: {
              color: colors[0],
            },
          },
          axisLabel: {
            formatter: '{value} 台',
          },
        },
        {
          type: 'value',
          name: '亩',
          position: 'right',
          alignTicks: true,
          axisLine: {
            show: true,
            lineStyle: {
              color: colors[1],
            },
          },
          axisLabel: {
            formatter: '{value} 亩',
          },
        },
        // {
        //   type: 'value',
        //   name: '流量',
        //   position: 'right',
        //   alignTicks: true,
        //   axisLine: {
        //     show: true,
        //     lineStyle: {
        //       color: colors[2],
        //     },
        //   },
        // axisLabel: {
        //   formatter: '{value} ',
        // },
        // },
      ],
      dataZoom: {
        show: true,
        start: 0,
        end: 100,
      },
      grid: {
        height: '55%',
      },
      series: [
        {
          name: '设备',
          data: dataLs,
          type: 'line',
        },
        {
          name: '作业',
          data: dataVal,
          type: 'bar',
          yAxisIndex: 1,
        },
        // {
        //   data: dataVal,
        //   type: 'bar',
        //   yAxisIndex: 2,
        // },
      ],
    }),
    [dataLs, dataVal, dataX],
  );
  return (
    <div style={{ height: h, width: '100%' }}>
      <ECharts option={option} />
    </div>
  );
};
