import { useRef } from "react";
import useMap from './map';
import { useMarker, startAnimation, pauseAnimation, resumeAnimation, stopAnimation } from './marker';
import './style.less';

export default (props) => {
  const { lineArr } = props
  const container = useRef()
  //生成地图
  const { amapRef, map } = useMap(container);
  //生成marker
  useMarker(amapRef, map, lineArr);

  return (
    <>
      <div ref={container} id="container" style={{ height: '700px', position: 'relative' }} >
        <div className="input-card">
          <h4>轨迹回放控制</h4>
          <div className="input-item">
            <input type="button" className="btn" value="开始动画" id="start" onClick={startAnimation} />
            <input type="button" className="btn" value="暂停动画" id="pause" onClick={pauseAnimation} />
          </div>
          <div className="input-item">
            <input type="button" className="btn" value="继续动画" id="resume" onClick={resumeAnimation} />
            <input type="button" className="btn" value="停止动画" id="stop" onClick={stopAnimation} />
          </div>
        </div>
      </div>
    </>
  )
}