import React from 'react';
import { Modal, Form, Input, Select, Button } from 'antd';

const formItemLayout = { labelCol: { span: 6 }, wrapperCol: { span: 14 } };
const FormItem = Form.Item;

export default (props) => {
  const { onCancel, onFinish } = props;

  const [form] = Form.useForm();

  return (
    <Form {...formItemLayout} onFinish={onFinish} form={form}>
      <FormItem
        label="设备大类"
        name="deviceKind"
        initialValue="feifang"
        rules={[{ required: true, message: '请选择设备大类' }]}
      >
        <Select placeholder="请选择">
          <Select.Option value="feifang">飞防</Select.Option>
        </Select>
      </FormItem>
      <FormItem
        label="设备编号"
        name="deviceNo"
        rules={[{ required: true, message: '请输入设备编号' }]}
      >
        <Input placeholder="请输入" />
      </FormItem>
      <FormItem label=" " colon={false}>
        <Button type="default" onClick={onCancel}>
          取消
        </Button>
        <Button type="primary" htmlType="Submit" style={{ marginLeft: '2em' }}>
          确认
        </Button>
      </FormItem>
    </Form>
  );
};
