import request from '@/utils/request';

/**
 * 保存banner
 * @param {*} data
 * @returns
 */
export const addBanner = (data) => request('/banner', { method: 'post', data });

/**
 * 修改banner
 * @param {*} data
 * @returns
 */
export const updateBanner = (id, data) => request(`/banner/${id}`, { method: 'put', data });

/**
 * 查询banner列表
 * @param {*} params
 * @returns
 */
export const getBannerList = (params) => request('/banner', { params });

/**
 * 删除banner
 * @param {*} data
 * @returns
 */
export const deleteBanner = (id) => request(`/banner/${id}`, { method: 'delete' });
